﻿@using System.Reflection
@model IEnumerable<TPLab2.Models.Computer>
@{
    ViewData["Title"] = "Home Page";
}
<form method="get" asp-action="Index" asp-controller="Home">
    <label>Promocode</label>
    <input type="text" name="promocode" asp-route/>
    <input type="submit" value="Apply"/>
</form>


@if (@Model.Any())
{
    <table class="table">
        <tr>
            @foreach (var prop in Model.First().GetType().GetProperties(BindingFlags.Public | BindingFlags.Instance))
            {
                <th>@prop.Name</th>
            }
        </tr>
        @foreach(var item in Model)
        {
            <tr>
                <td><a asp-action="Get" asp-controller="Home" asp-route-id="@item.Id">Open</a></td>
                <td>@item.Cpu</td>
                <td>@item.Monitor</td>
                <td>@item.Motherboard</td>
                <td>@item.Ram</td>
                <td>@item.CpuCooler</td>
                <td>@item.GraphicCard</td>
                <td>@item.HardDrive</td>
                <td>@item.PowerSupplyUnit</td>
                <td>
                    <a asp-action="Get" asp-controller="Home" asp-route-id="@item.Id">
                        <input type="submit" value="Edit"/>
                    </a>
                </td>
                <td>
                    <form asp-action="Delete" asp-controller="Home" asp-route-id="@item.Id">
                        <input type="submit" value="Delete"/>
                    </form>
                </td>
            </tr>
        
        }

    </table>
}
else
{
    <p>Coming soon!</p>
}

